Export Submission Version
Use the following requests to export a specific version of a Submissions Archive binder, including submissions published by RIM Submissions Publishing. Learn more about RIM Submissions Publishing in Vault Help
You can export submissions with the following Dossier Status values:
- Import Successful
- Publishing Active
- Publishing Inactive
- Transmission Failed
- Transmission Successful
- Transmission in Queue
- Transmission in Progress
POST
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export?submission={submission_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. See Retrieve Binders. |
{major_version} | The major_version_number__v field value of the binder. |
{minor_version} | The minor_version_number__v field value of the binder. |
{submission_id} | The id field value of the submission__v object record. To get this value, use VQL to retrieve all records on the submission__v object. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/binders/454/versions/0/2/actions/export?submission=00S000000000101Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Job for Binder Export Started",
"URL": "https://myvault.veevavault.com/api/v26.1/services/jobs/1202",
"job_id": 1202
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
URL- The URL to retrieve the current status of the export job.job_id- The Job ID value is used to retrieve the status and results of the request.